org.eclipse.rdf4j.query.algebra

## Interface VariableScopeChange

- All Known Implementing Classes:
    AbstractAggregateOperator, AbstractNaryOperator, AbstractNaryTupleOperator, AbstractQueryModelNode, Add, AggregateOperatorBase, And, ArbitraryLengthPath, Avg, BinaryTupleOperator, BinaryValueOperator, BindingSetAssignment, BNodeGenerator, Bound, BoundFiltersNode, Clear, Coalesce, Compare, CompareAll, CompareAny, CompareSubQueryValueOperator, ConjunctiveFilterExpr, Copy, Count, Create, Datatype, DeleteData, DescribeOperator, Difference, Distinct, EmptyNJoin, EmptyNUnion, EmptySet, EmptyStatementPattern, ExclusiveArbitraryLengthPath, ExclusiveGroup, ExclusiveStatement, Exists, Extension, ExtensionElem, ExternalSet, FedXLeftJoin, FedXService, FedXStatementPattern, Filter, FilterExpr, FunctionCall, Group, GroupConcat, GroupElem, If, In, InsertData, Intersection, IRIFunction, IsBNode, IsLiteral, IsNumeric, IsResource, IsURI, Join, Label, Lang, LangMatches, LeftJoin, Like, ListMemberOperator, Load, LocalName, MathExpr, Max, Min, Modify, Move, MultiProjection, Namespace, NaryJoin, NAryValueOperator, NJoin, Not, NTuple, NUnion, Or, Order, OrderElem, OwnedTupleExpr, PassThroughTupleExpr, PrecompiledQueryNode, Projection, ProjectionElem, ProjectionElemList, QueryModelNodeBase, QueryRoot, Reduced, Regex, SameTerm, Sample, Service, SingleSourceQuery, SingletonSet, Slice, StatementPattern, StatementSource, StatementSourcePattern, Str, SubQueryValueOperator, Sum, TripleRef, TrueStatementPattern, TupleFunctionCall, UnaryTupleOperator, UnaryValueOperator, Union, ValueConstant, ValueExprTripleRef, Var, ZeroLengthPath

      public interface VariableScopeChange

  `QueryModelNode`s that can constitute a variable scope change (such as group graph patterns, subselects, etc).
  Author:
    Jeen Broekstra

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVariableScopeChange()` indicates if the node represents a variable scope change.
    `void` | `setVariableScopeChange(boolean isVariableScopeChange)` Set the value of `isVariableScopeChange()` to true or false.

- - ### Method Detail

    - #### isVariableScopeChange

          boolean isVariableScopeChange()

      indicates if the node represents a variable scope change.
      Returns:
        true iff the node represents a variable scope change.

    - #### setVariableScopeChange

          void setVariableScopeChange(boolean isVariableScopeChange)

      Set the value of `isVariableScopeChange()` to true or false.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.